Bug 626490

Summary: [abrt] crash in bacula-traymonitor-3.0.3-5.fc12: __strlen_sse2: Process /usr/sbin/bacula-tray-monitor was killed by signal 11 (SIGSEGV)
Product: [Fedora] Fedora Reporter: Trevin Beattie <tbeattie>
Component: baculaAssignee: Andreas Thienemann <andreas>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 14CC: adam, andreas, dnovotny, fschwarz, jgorig, limburgher, mmcgrath, rvokal, trevin, vanmeeuwen+fedora
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard: abrt_hash:afc9288dd6bae7b381f1f1fedc3df969a50d5206
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 657297 (view as bug list) Environment:
Last Closed: 2011-02-01 03:14:47 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 657297    
Attachments:
Description Flags
File: backtrace none

Description Trevin Beattie 2010-08-23 12:50:31 EDT
abrt 1.1.1 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: bacula-tray-monitor -c /etc/bacula/tray-monitor.conf
component: bacula
crash_function: __strlen_sse2
executable: /usr/sbin/bacula-tray-monitor
global_uuid: afc9288dd6bae7b381f1f1fedc3df969a50d5206
kernel: 2.6.32.16-150.fc12.i686.PAE
package: bacula-traymonitor-3.0.3-5.fc12
rating: 4
reason: Process /usr/sbin/bacula-tray-monitor was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)

comment
-----
Duplicate of bug #597897

How to reproduce
-----
1. Configure bacula (in particular, set passwords in /etc/bacula/tray-monitor.conf to match those in bacula-dir.conf, bacula-fd.conf, and bacula-sd.conf.)
2. Start the director, file daemon, and storage daemon.
3. Add your user to the bacula group (or try running the monitor as root; it's the same either way.)
4. /usr/sbin/bacula-tray-monitor -c /etc/bacula/tray-monitor.conf
Comment 1 Trevin Beattie 2010-08-23 12:50:34 EDT
Created an attachment (id=440431)
File: backtrace
Comment 2 Trevin Beattie 2010-08-23 14:03:54 EDT
I noticed that for every time I attempted to start the tray monitor, the following message was sent to /var/log/bacula.log:

bacula-dir: ERROR in authenticate.c:304 UA Hello from client:127.0.0.1:36131 is invalid. Len=0
Comment 3 Jan Görig 2010-09-23 10:49:00 EDT
*** Bug 597897 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2010-11-03 06:46:56 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Trevin Beattie 2010-11-03 18:59:11 EDT
I tried this on a Fedora 14 Live CD, after having freshly installed bacula with the SQLite database option.  On this system, abrt does not appear to catch the crash, but the tray monitor still crashes -- an icon for it briefly appears on the tray, then disappears after half a second.  I still see the exact same message in /var/log/bacula.log:

03-Nov 15:47 bacula-dir: ERROR in authenticate.c:304 UA Hello from client:127.0.0.1:36131 is invalid. Len=0
03-Nov 15:48 bacula-dir: ERROR in authenticate.c:304 UA Hello from client:127.0.0.1:36131 is invalid. Len=0

This system has the following packages installed:

bacula-client-5.0.2-8.fc14.i686
bacula-common-5.0.2-8.fc14.i686
bacula-console-bat-5.0.2-8.fc14.i686
bacula-director-common-5.0.2-8.fc14.i686
bacula-director-sqlite-5.0.2-8.fc14.i686
bacula-storage-common-5.0.2-8.fc14.i686
bacula-storage-sqlite-5.0.2-8.fc14.i686
bacula-traymonitor-5.0.2-8.fc14.i686
Comment 6 Jan Görig 2010-11-23 13:07:08 EST
This problem is caused by incorrect handling of tray monitor configuration file. Tray monitor crashes when you don't have configured director's address.

To fix this problem you should add Address = localhost to Director section in your tray-monitor.conf

It is probably related with upstream bug http://bugs.bacula.org/view.php?id=1625.
Comment 7 Trevin Beattie 2010-11-23 13:40:44 EST
That did the trick!  So besides crashing on a bad configuration file, the default configuration file also needs to be fixed by adding the missing Address record.
Comment 8 Fedora Update System 2010-11-24 12:35:01 EST
bacula-5.0.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/bacula-5.0.3-1.fc14
Comment 9 Fedora Update System 2010-11-24 12:48:32 EST
bacula-5.0.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/bacula-5.0.3-1.fc13
Comment 10 Jan Görig 2010-11-24 12:49:47 EST
These updates only adds address to default config file. Better fix will be included in Rawhide after discussion with upstream.
Comment 11 Fedora Update System 2011-01-06 14:26:21 EST
bacula-5.0.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2011-01-06 14:28:23 EST
bacula-5.0.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.